%define name	perl-MLDBM-Sync
%define real_name    MLDBM-Sync
%define version 0.30
%define release 4mdk

%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)

Summary:	%{real_name} module for perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	%{real_name}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel perl-Digest-MD5 perl-MLDBM
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	/usr/bin/perl
BuildArch:	noarch

%description
%{real_name} module for perl

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST README
%{_mandir}/*/*
%{perl_vendorlib}/MLDBM

%changelog
* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.30-4mdk
- rebuild for new Perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.30-3mdk
- rebuild for new auto{prov,req}

* Tue Aug 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.30-2mdk
- fix conflict related to man3pm.

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.30-1mdk
- 0.30.
- build with new perl 5.8.0.
- install in vendor_perl.

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.27-1mdk
- 0.27.
- remove filelist.

* Mon Jan 28 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.25-1mdk
- 0.25.

* Tue Nov  6 2001 Stefan van der Eijk <stefan@eijk.nu> 0.21-2mdk
- BuildRequires: perl-MLDBM

* Mon Nov 05 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.21-1mdk
- First rpm.
